#preloader {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    opacity: .7;
    z-index: 3333333;
    width: 100%;
    height: 100%;
    overflow: visible;
    background: #333
}
.loader {

    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 50px;
    height: 50px;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    max-width: 100%;
    max-height: 100%;
    overflow: auto;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
}

.dataTables_wrapper .dataTables_length {
  float: left;
}
 
 .dataTables_wrapper .dataTables_filter {
  float: right;
  text-align: right;
}